PasswordRecipient (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Interface PasswordRecipient

- All Superinterfaces:
    Recipient
  All Known Implementing Classes:
    BcPasswordEnvelopedRecipient, BcPasswordRecipient, JcePasswordAuthenticatedRecipient, JcePasswordEnvelopedRecipient, JcePasswordRecipient

      public interface PasswordRecipient
      extends Recipient

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PKCS5_SCHEME2`
    `static int` | `PKCS5_SCHEME2_UTF8`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `calculateDerivedKey(int schemeID, org.bouncycastle.asn1.x509.AlgorithmIdentifier derivationAlgorithm, int keySize)`
    `char[]` | `getPassword()`
    `int` | `getPasswordConversionScheme()`
    `RecipientOperator` | `getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm, byte[] derivedKey, byte[] encryptedEncryptedContentKey)`

- - ### Field Detail

    - #### PKCS5_SCHEME2

          static final int PKCS5_SCHEME2

      See Also:
        Constant Field Values

    - #### PKCS5_SCHEME2_UTF8

          static final int PKCS5_SCHEME2_UTF8

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### calculateDerivedKey

          byte[] calculateDerivedKey(int schemeID,
                                   org.bouncycastle.asn1.x509.AlgorithmIdentifier derivationAlgorithm,
                                   int keySize)
                                     throws CMSException

      Throws:
        `CMSException`

    - #### getRecipientOperator

          RecipientOperator getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                               org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm,
                                               byte[] derivedKey,
                                               byte[] encryptedEncryptedContentKey)
                                                 throws CMSException

      Throws:
        `CMSException`

    - #### getPasswordConversionScheme

          int getPasswordConversionScheme()

    - #### getPassword

          char[] getPassword()